
Foreman - Bug #2164

No route matches {:controller=>"reports"}

01/30/2013 07:55 PM - Jason Barnett

Status: Resolved   

Priority: Normal   

Assignee: Ohad Levy   

Category: Web Interface   

Target version:    

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

Randomly my foreman install started to throw the error: No route matches {:controller=>"reports"}

Screen shot: http://cloud.ja.sonbarnett.com/image/0y3E1m3k0l3H

History

#1 - 01/30/2013 07:57 PM - Jason Barnett

Full Trace:

ActionController::RoutingError

No route matches {:controller=>"reports"}

app/views/reports/_list.html.erb:18:in `_app_views_reports__list_html_erb__1283884884_257122100_107550'

app/views/reports/_list.html.erb:15:in `_app_views_reports__list_html_erb__1283884884_257122100_107550'

app/views/reports/index.html.erb:3:in `_app_views_reports_index_html_erb___1146865055_257132940_0'

Screen shot: http://cloud.ja.sonbarnett.com/image/1h3q253p3p1S

#2 - 01/31/2013 12:54 PM - Jason Barnett

I did nothing, but went to sleep, woke up the next morning and it was working. You may close this...

#3 - 01/31/2013 12:59 PM - Ohad Levy

- Status changed from New to Resolved

I have no idea either, but I'm :)
